org.eclipse.cdt.core.settings.model.extension.impl

## Class CDataFactory

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.impl.CDataFactory

Direct Known Subclasses:
  UserAndDiscoveredEntryConfigurationDataProvider.DataFactory

    public class CDataFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CDataFactory()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CBuildData` `createBuildData(CConfigurationData cfg, CBuildData base, String id, String name, boolean clone)`
`CConfigurationData` `createConfigurationdata(String id, String name, CConfigurationData base, boolean clone)`
`CFileData` `createFileData(CConfigurationData cfg, CResourceData base, CLanguageData lBase, String id, boolean clone, org.eclipse.core.runtime.IPath path)`
`CFolderData` `createFolderData(CConfigurationData cfg, CFolderData base, String id, boolean clone, org.eclipse.core.runtime.IPath path)`
`CLanguageData` `createLanguageData(CConfigurationData cfg, CResourceData rcBase, CLanguageData base, String id, boolean clone)`
`CLanguageData` `createLanguageData(CConfigurationData cfg, CResourceData rcBase, String id, String name, String languageId, int supportedEntryKinds, String[] rcTypes, boolean isContentTypes)`
`CTargetPlatformData` `createTargetPlatformData(CConfigurationData cfg, CTargetPlatformData base, String id, String name, boolean clone)`
`static CDataFactory` `getDefault()`
`boolean` `isModified(CDataObject data)`
`void` `link(CDataObject parent, CDataObject child)`
`void` `setModified(CDataObject data, boolean modified)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDataFactory

    public CDataFactory()

### Method Detail

#### getDefault

    public static CDataFactory getDefault()

#### createConfigurationdata

    public CConfigurationData createConfigurationdata(String id,
                                                      String name,
                                                      CConfigurationData base,
                                                      boolean clone)

#### createFolderData

    public CFolderData createFolderData(CConfigurationData cfg,
                                        CFolderData base,
                                        String id,
                                        boolean clone,
                                        org.eclipse.core.runtime.IPath path)

#### createFileData

    public CFileData createFileData(CConfigurationData cfg,
                                    CResourceData base,
                                    CLanguageData lBase,
                                    String id,
                                    boolean clone,
                                    org.eclipse.core.runtime.IPath path)

#### createLanguageData

    public CLanguageData createLanguageData(CConfigurationData cfg,
                                            CResourceData rcBase,
                                            CLanguageData base,
                                            String id,
                                            boolean clone)

#### createLanguageData

    public CLanguageData createLanguageData(CConfigurationData cfg,
                                            CResourceData rcBase,
                                            String id,
                                            String name,
                                            String languageId,
                                            int supportedEntryKinds,
                                            String[] rcTypes,
                                            boolean isContentTypes)

#### createBuildData

    public CBuildData createBuildData(CConfigurationData cfg,
                                      CBuildData base,
                                      String id,
                                      String name,
                                      boolean clone)

#### createTargetPlatformData

    public CTargetPlatformData createTargetPlatformData(CConfigurationData cfg,
                                                        CTargetPlatformData base,
                                                        String id,
                                                        String name,
                                                        boolean clone)

#### isModified

    public boolean isModified(CDataObject data)

#### setModified

    public void setModified(CDataObject data,
                            boolean modified)

#### link

    public void link(CDataObject parent,
                     CDataObject child)